Subject: bug#38563: 27.0.50; Company popup renders with newlines (?) inheriting the bg properties of the character at next line's bol

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Dec 2019 09:53:26 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 18 Dec 2019 22:37:49 +0200
> 
> On 16.12.2019 17:49, Eli Zaretskii wrote:
> 
> > So I'm reopening this bug, and will have to think of a better
> > solution.
> 
> In case you don't find it, how about we put 'default' as the 'face' 
> property of the overlay? That seems to work.
> 
> And with that we can stop appending 'default' to all 'face' values in 
> the overlay string.
> 
> WDYT?

Sorry for a long delay in responding.

Yes, this looks like a good solution to me.  In fact, I was about to
ask you to make a similar (less elegant) change, because I couldn't
think of a way to resolve this in core: when a face explicitly asks to
extend itself past EOL, we cannot in good faith refrain from doing so
in some use cases.

Thanks.